Skip to content
Start here

Delete a MCP Portal

client.zeroTrust.access.aiControls.mcp.portals.delete(stringid, PortalDeleteParams { account_id } params, RequestOptionsoptions?): PortalDeleteResponse { id, hostname, name, 7 more }
DELETE/accounts/{account_id}/access/ai-controls/mcp/portals/{id}

Deletes an MCP portal from the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id: string

portal id

maxLength32
minLength1
params: PortalDeleteParams { account_id }
account_id: string
ReturnsExpand Collapse
PortalDeleteResponse { id, hostname, name, 7 more }
id: string

portal id

maxLength32
minLength1
hostname: string
name: string
maxLength350
allow_code_mode?: boolean

Allow remote code execution in Dynamic Workers (beta)

created_at?: string
formatdate-time
created_by?: string
description?: string
maxLength512
modified_at?: string
formatdate-time
modified_by?: string
secure_web_gateway?: boolean

Route outbound MCP traffic through Zero Trust Secure Web Gateway

Delete a MCP Portal

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const portal = await client.zeroTrust.access.aiControls.mcp.portals.delete('my-mcp-portal', {
  account_id: 'a86a8f5c339544d7bdc89926de14fb8c',
});

console.log(portal.id);
{
  "result": {
    "id": "my-mcp-portal",
    "hostname": "exmaple.com",
    "name": "My MCP Portal",
    "allow_code_mode": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "created_by": "created_by",
    "description": "This is my custom MCP Portal",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "modified_by": "modified_by",
    "secure_web_gateway": false
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "my-mcp-portal",
    "hostname": "exmaple.com",
    "name": "My MCP Portal",
    "allow_code_mode": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "created_by": "created_by",
    "description": "This is my custom MCP Portal",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "modified_by": "modified_by",
    "secure_web_gateway": false
  },
  "success": true
}